<?php

/* 

 * 登录用户 (黑名单列表 和 被人黑列表)

 * ==============================================================

 * @param auth             | 用户auth

 * @author                 | zhangxin 

 * ==============================================================

 */

if(!defined('IN_DISCUZ')) {

	exit('Access Denied');

}

if(empty($_G['uid'])){

        odz_error('auth error');

}

//被人黑列表

$inblacklist = DB::fetch_all(' SELECT uid FROM '.DB::table('mocuz_blackfriend')." WHERE bid = {$_G['uid']}");

//黑名单列表

$blacklist = DB::fetch_all(' SELECT bid as uid  FROM '.DB::table('mocuz_blackfriend')." WHERE uid = {$_G['uid']}");

odz_result(array('list'=>!empty($inblacklist)?$inblacklist:array(),'blacklist'=>!empty($blacklist)?$blacklist:array()));







?>